AWS IoT Device SDK C++ v2: Aws::Iotjobs::GetPendingJobExecutionsRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::GetPendingJobExecutionsRequest Class Referencefinal

`#include <GetPendingJobExecutionsRequest.h>`

## Public Member Functions
| GetPendingJobExecutionsRequest ()=default
| GetPendingJobExecutionsRequest (const Crt::JsonView &doc)
GetPendingJobExecutionsRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< Aws::Crt::String > | ClientToken

## Detailed Description

Data needed to make a GetPendingJobExecutions request.

## Constructor & Destructor Documentation

## ◆ GetPendingJobExecutionsRequest() [1/2]

Aws::Iotjobs::GetPendingJobExecutionsRequest::GetPendingJobExecutionsRequest | ( |  | ) |
| default

## ◆ GetPendingJobExecutionsRequest() [2/2]

Aws::Iotjobs::GetPendingJobExecutionsRequest::GetPendingJobExecutionsRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

GetPendingJobExecutionsRequest & Aws::Iotjobs::GetPendingJobExecutionsRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::GetPendingJobExecutionsRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::GetPendingJobExecutionsRequest::ClientToken

Optional. A client token used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::GetPendingJobExecutionsRequest::ThingName

IoT Thing the request is relative to.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/GetPendingJobExecutionsRequest.h
- jobs/source/GetPendingJobExecutionsRequest.cpp